package com.huigou.topsun.proofing.application.impl;

import com.huigou.data.query.model.QueryDescriptor;
import com.huigou.topsun.proofing.application.ProofingApplyProcessApplication;
import com.huigou.topsun.proofing.application.ProofingMakeProcessApplication;
import com.huigou.topsun.proofing.domain.query.ProofingApplyProcessQueryRequest;
import com.huigou.topsun.proofing.domain.query.ProofingMakeProcessQueryRequest;
import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class ProofingMakeProcessApplicationImpl extends BaseApplication implements ProofingMakeProcessApplication {


    @Override
    public Map<String, Object> slicedProofingMakeProcess(ProofingMakeProcessQueryRequest query) {
        QueryDescriptor queryDescriptor = this.sqlExecutorDao.getQuery(QUERY_XML_FILE_PATH, "slicedProofingMakeProcess");
        return this.sqlExecutorDao.executeSlicedQuery(queryDescriptor,query);
    }
}
